call cleanup

REM create GSS,GST files for both SIMPLE and CALC
tablo -pgs simple
if errorlevel 1 goto err
tablo -pgs calc
if errorlevel 1 goto err

REM create EQ4, LU4 files for SIMPLE 
gemsim -cmf simple.cmf
if errorlevel 1 goto err

REM do a SAGEM simulation for each price shock 
sagem -cmf sagemp.cmf
if errorlevel 1 goto err
sltoht -sti sagemp.sti
if errorlevel 1 goto err
REM compute supply and demand elasticities from results
gemsim -cmf calcp.cmf
if errorlevel 1 goto err

REM do a SAGEM simulation for each quantity shock 
sagem -cmf sagemq.cmf
if errorlevel 1 goto err
sltoht -sti sagemq.sti
if errorlevel 1 goto err
REM compute supply and demand elasticities from results
gemsim -cmf calcq.cmf
if errorlevel 1 goto err

dir/od *.har
dir/od *.sl4
dir/od *.sol
echo JOB DONE OK
goto endbat
:err
echo ERROR
:endbat